Errors were encountered while processing

Getting an error trying to sudo apt-get -y dist-upgrade

“Setting up install-info (5.2.0.dfsg.1-6) …

Not a directory: /usr/share/info.

dpkg: error processing package install-info (–configure):

subprocess installed post-installation script returned error exit status 1

Processing triggers for libc-bin (2.19-18+deb8u7) …

Errors were encountered while processing:


E: Sub-process /usr/bin/dpkg returned an error code (1)”

I found the best way to fix this is

sudo apt-get –purge remove install-info

sudo apt-get install install-info

dpkg-reconfigure x11-common

After X server update 1.18.4 `su — pi -c “startx” &` not working anymore

Jessie updated xserver-xorg-core to 1.18.4 from 1.17.2, to fix the problem

sudo dpkg-reconfigure x11-common

update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults

sudo apt-get install xserver-xorg-legacy -y

sudo nano /etc/X11/Xwrapper.config

#Change console to anybody